@import "https://fonts.googleapis.com/css?family=Monoton";
@import "https://fonts.googleapis.com/css?family=Press+Start+2P";
@import "https://fonts.googleapis.com/css?family=Mr+Dafoe";
@import "https://fonts.googleapis.com/css?family=Changa+One";
@import url(https://fonts.googleapis.com/css?family=Roboto);

* {
  -webkit-tap-highlight-color: transparent;
}

:root {
--grid-color: rgba(255, 255, 255, 1); /* Grid line color */
--grid-secondary-color:rgba(255, 255, 255, 1); /* Secondary grid line color */
--grid-bg-color: rgb(13 255 0);
    --grid-shadow-color: rgb(106 255 0);
}

body {
  background-image: url("/space.jpg");
  background-size: cover;
  height: 100vh;
  width: 100vw;
  overflow: hidden;
}

.prb {
  color: white;
}

@media (max-width: 600px) {
  .logo {
    width: 300px;
  }

  .text {
    margin-top: 30px;
  }

  .m-logo h1 {
    font-family: "Press start 2p", sans-serif;
    font-size: 31px;
    letter-spacing: -4px;
    font-weight: 400;
    margin: 0 0 0.25em;
    line-height: 1.25;
    background-image: -webkit-linear-gradient(
      top,
      #3fa8c6 0%,
      #3fa8c6 0%,
      #ff9ab2 100%
    );
    -webkit-background-clip: text;
    /* -webkit-text-fill-color: transparent; */
  }
}

.m-logo {
  height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  position: relative;
  z-index: 501;
}
.m-logo__wrap {
  transform: scale(0);
  text-align: center;
}

@media (min-width: 600px) {
  .m-logo h1 {
    font-family: "Press start 2p", sans-serif;
    font-size: 62px;
    letter-spacing: -4px;
    font-weight: 400;
    margin: 0 0 0.25em;
    line-height: 1.25;
    background-image: -webkit-linear-gradient(
      top,
      #3fa8c6 0%,
      #3fa8c6 0%,
      #ff9ab2 100%
    );
    -webkit-background-clip: text;
    /* -webkit-text-fill-color: transparent; */
  }
}
.m-logo .subtitle {
  color: #ec008c;
  font-size: 50px;
  margin: 0;
  font-family: "Mr Dafoe", serif;
  text-shadow: 0px 1x 0px #530031;
}





.wrapper {
  /*background: #000;
  background-image: linear-gradient(to bottom, #000000 10%, #000000 60%); */
  --foreground-rgb: 255, 255, 255;
  --background-start-rgb: 0, 0, 0;
  --background-end-rgb: 0, 0, 0;
  color: rgb(var(--foreground-rgb));
  background: linear-gradient(to bottom, transparent, rgb(var(--background-end-rgb))) rgb(var(--background-start-rgb));
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 32 32' width='8' height='8' fill='none' stroke='rgb(255 255 255 / 0.1)'%3e%3cpath d='M0 .5H31.5V32'/%3e%3c/svg%3e");
  
  top: 0;
  position: absolute;
  width: 100%;
  height: 100vh;
  min-height: 400px;
  overflow: hidden;
  filter: blur(1px);
}

a:link {
  text-decoration: none;
  color: #ec0047;
  /* text-shadow: 0px 1x 0px #530031; */
}

#animation:target {
  animation: fadeOut 3s;
  animation-fill-mode: forwards;
}

@keyframes fadeOut {
  from {
    opacity: 1;
  }
  to {
    opacity: 0;
  }
}

.wrapper::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background-image: linear-gradient(transparent 70%, rgba(0, 0, 0, 0.5) 30%);
  background-size: 3px 3px;
  z-index: 601;
  pointer-events: none;
}

.m-grid {
    position: absolute;
    top: 50%;
    margin-top: -75vh;
    left: 50%;
    margin-left: -100vw;
    width: 200vw;
    height: 150vh;
    transform: scaleY(0);
    background-image: linear-gradient(
        0deg,
        transparent 24%,
        var(--grid-bg-color) 25%,
        var(--grid-color) 26%,
        transparent 27%,
        transparent 74%,
        var(--grid-bg-color) 75%,
        var(--grid-secondary-color) 76%,
        transparent 77%,
        transparent
      ),
      linear-gradient(
        90deg,
        transparent 24%,
        var(--grid-shadow-color) 25%,
        rgba(255, 244, 251, 0.25) 26%,
        transparent 27%,
        transparent 74%,
        var(--grid-shadow-color) 75%,
        rgba(255, 251, 253, 0.25) 76%,
        transparent 77%,
        transparent
      );
    background-size: 50px 50px;
  }

.m-grid.is-animating {
  -webkit-animation: fly 1s linear;
  animation: fly 1s linear;
  -webkit-animation-iteration-count: infinite;
  animation-iteration-count: infinite;
}

@-webkit-keyframes fly {
  0% {
    transform: perspective(300px) rotateX(80deg) translateY(0%);
  }
  100% {
    transform: perspective(300px) rotateX(80deg) translateY(50px);
  }
}

@keyframes fly {
  0% {
    transform: perspective(300px) rotateX(80deg) translateY(0%);
  }
  100% {
    transform: perspective(300px) rotateX(80deg) translateY(50px);
  }
}

.text {
  top: 40%;
  left: 40%;
  color: white;
}

.words-wrapper {
  display: inline-block;
  position: relative;
  text-align: left;
}
.words-wrapper b {
  opacity: 0;
  display: inline-block;
  position: absolute;
  white-space: nowrap;
  left: 0;
  top: 0;
  color: #388cd1;
}
.words-wrapper .is-visible {
  position: relative;
  opacity: 1;
  -webkit-animation: push-in 0.6s;
  -moz-animation: push-in 0.6s;
  animation: push-in 0.6s;
}
.words-wrapper .is-hidden {
  -webkit-animation: push-out 0.6s;
  -moz-animation: push-out 0.6s;
  animation: push-out 0.6s;
}

@-webkit-keyframes push-in {
  0% {
    opacity: 0;
    -webkit-transform: translateX(-100%);
  }
  70% {
    opacity: 1;
    -webkit-transform: translateX(10%);
  }
  100% {
    opacity: 1;
    -webkit-transform: translateX(0);
  }
}
@-moz-keyframes push-in {
  0% {
    opacity: 0;
    -moz-transform: translateX(-100%);
  }
  60% {
    opacity: 1;
    -moz-transform: translateX(10%);
  }
  100% {
    opacity: 1;
    -moz-transform: translateX(0);
  }
}
@keyframes push-in {
  0% {
    opacity: 0;
    -webkit-transform: translateX(-100%);
    -moz-transform: translateX(-100%);
    -ms-transform: translateX(-100%);
    -o-transform: translateX(-100%);
    transform: translateX(-100%);
  }
  60% {
    opacity: 1;
    -webkit-transform: translateX(10%);
    -moz-transform: translateX(10%);
    -ms-transform: translateX(10%);
    -o-transform: translateX(10%);
    transform: translateX(10%);
  }
  100% {
    opacity: 1;
    -webkit-transform: translateX(0);
    -moz-transform: translateX(0);
    -ms-transform: translateX(0);
    -o-transform: translateX(0);
    transform: translateX(0);
  }
}
@-webkit-keyframes push-out {
  0% {
    opacity: 1;
    -webkit-transform: translateX(0);
  }
  60% {
    opacity: 0;
    -webkit-transform: translateX(110%);
  }
  100% {
    opacity: 0;
    -webkit-transform: translateX(100%);
  }
}
@-moz-keyframes push-out {
  0% {
    opacity: 1;
    -moz-transform: translateX(0);
  }
  60% {
    opacity: 0;
    -moz-transform: translateX(110%);
  }
  100% {
    opacity: 0;
    -moz-transform: translateX(100%);
  }
}
@keyframes push-out {
  0% {
    opacity: 1;
    -webkit-transform: translateX(0);
    -moz-transform: translateX(0);
    -ms-transform: translateX(0);
    -o-transform: translateX(0);
    transform: translateX(0);
  }
  60% {
    opacity: 0;
    -webkit-transform: translateX(110%);
    -moz-transform: translateX(110%);
    -ms-transform: translateX(110%);
    -o-transform: translateX(110%);
    transform: translateX(110%);
  }
  100% {
    opacity: 0;
    -webkit-transform: translateX(100%);
    -moz-transform: translateX(100%);
    -ms-transform: translateX(100%);
    -o-transform: translateX(100%);
    transform: translateX(100%);
  }
}
.logo {
  animation: godown 1s;
}

@keyframes godown {
  0% {
    transform: scale(4);
  }

  100% {
    transform: scale(1);
  }
}

#starwars {
  height: 100%;
  width: 100%;
}

.logo1 {
  width: 0px;
}
.logo2 {
  width: 0px;
}

.inputdiv {
  width: 0;
  height: 0;
  display: none;
}
.staytuned {
  font-size: 0px;
  color: white;
}
.button {
  width: 0;
  height: 0;
}

@media (max-width: 600px) {
  .animate .intro {
    font-size: 100%;
    color: #19a3c8;
    width: 208px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    animation: intro 5s linear 0s;
    opacity: 0;
  }

  .animate .logo1 {
    position: absolute;
    width: 0;
    height: auto;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    animation: logo-mini 10s linear 5s;
    opacity: 0;
  }

  .animate #reel {
    width: 350px;
    margin-left: -177px;
    position: absolute;
    bottom: 100px;
    left: 50%;
    height: 100em;
    overflow: hidden;
    transform: perspective(455px) rotateX(30deg);
    transform-origin: 50% 100%;
    color: white;
    font-weight: bold;
    font-size: 100%;
    text-align: justify;
  }

  .animate .logo2 {
    position: absolute;
    width: 0;
    height: auto;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    animation: logoreverse 10s linear 72s;
    opacity: 0;
  }

  .animate .logo2 {
    position: absolute;
    width: 0;
    height: auto;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    animation: logoreverse-mini 10s linear 72s;
    animation-fill-mode: forwards;
    opacity: 0;
  }
  .animate .inputdiv {
    color: #000;
    font-size: large;
    background-color: white;
    width: 0;
    height: 0;
    border-radius: 20px;
    animation: inputanimation-mini 1s linear 82s;
    animation-fill-mode: forwards;
    opacity: 0;
    z-index: 4000;
    padding-left: 10px;
    display: block;
  }
}

@media (min-width: 600px) {
  .animate .intro {
    font-size: 250%;
    color: #19a3c8;
    width: 578px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    animation: intro 5s linear 0s;
    opacity: 0;
  }

  .animate .logo1 {
    position: absolute;
    width: 0;
    height: auto;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    animation: logo 10s linear 5s;
    opacity: 0;
  }
  .animate #reel {
    width: 800px;
    margin-left: -400px;
    position: absolute;
    bottom: 0;
    left: 50%;
    height: 100em;
    overflow: hidden;
    transform: perspective(455px) rotateX(30deg);
    transform-origin: 50% 100%;
    color: white;
    font-weight: bold;
    font-size: 250%;
    text-align: justify;
  }

  .animate .logo2 {
    position: absolute;
    width: 0;
    height: auto;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    animation: logoreverse 10s linear 72s;
    animation-fill-mode: forwards;
    opacity: 0;
  }
  .animate .inputdiv {
    color: #000;
    font-size: large;
    background-color: white;
    width: 0;
    height: 0;
    border-radius: 20px;
    animation: inputanimation 1s linear 82s;
    animation-fill-mode: forwards;
    opacity: 0;
    z-index: 4000;
    padding-left: 10px;
    display: block;
  }
}

.divinp {
  transform: translate(-50%, -50%);
  position: absolute;
  top: 70%;
  left: 50%;
  z-index: 2;
}

.insidediv {
  display: flex;
  align-items: center;
}

.animate .button {
  width: 0;
  height: 0;
  animation: button 1s linear 82s;
  animation-fill-mode: forwards;
  opacity: 0;
  z-index: 4000;
  margin-top: 10px;
  cursor: pointer;
}

.animate .staytuned {
  color: white;
  animation: staytuned 1s linear 82s;
  animation-fill-mode: forwards;
  opacity: 0;
}

.animate #reel div {
  position: absolute;
  top: 100%;
  animation: reel 60s linear 12s;
}
.animate #reel div p {
  line-height: 1.5em;
  margin-top: 50px;
}
.animate #reel div p:first-child {
  margin-top: 0;
}
.animate #reel div h1,
.animate #reel div h2 {
  text-align: center;
  margin-bottom: 25px;
}

@keyframes reel {
  0% {
    top: 100%;
    opacity: 1;
  }
  95% {
    opacity: 1;
  }
  100% {
    top: 50%;
    opacity: 0;
  }
}
@keyframes intro {
  0% {
    opacity: 0;
  }
  20% {
    opacity: 1;
  }
  80% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}
@keyframes logo {
  0% {
    width: 1000px;
    opacity: 1;
  }
  10% {
    width: 1000px;
    opacity: 1;
  }
  15% {
    width: 1000px;
  }
  90% {
    width: 10px;
    opacity: 1;
  }
  100% {
    width: 0;
    opacity: 0;
  }
}

@keyframes logo-mini {
  0% {
    width: 350px;
    opacity: 1;
  }
  10% {
    width: 350px;
    opacity: 1;
  }
  15% {
    width: 350px;
  }
  90% {
    width: 10px;
    opacity: 1;
  }
  100% {
    width: 0;
    opacity: 0;
  }
}

@keyframes logoreverse {
  0% {
    width: 0;
    opacity: 0;
  }

  80% {
    width: 500px;
    opacity: 1;
  }
  90% {
    width: 600px;
    opacity: 1;
  }

  100% {
    width: 700px;
    opacity: 1;
  }
}

@keyframes logoreverse-mini {
  0% {
    width: 0;
    opacity: 0;
  }

  80% {
    width: 200px;
    opacity: 1;
  }
  90% {
    width: 250px;
    opacity: 1;
  }

  100% {
    width: 300px;
    opacity: 1;
  }
}

@keyframes inputanimation {
  100% {
    width: 600px;
    height: 50px;
    opacity: 1;
  }
}

@keyframes inputanimation-mini {
  100% {
    width: 300px;
    height: 50px;
    opacity: 1;
  }
}

@keyframes staytuned {
  100% {
    height: 10px;
    font-size: 25px;
    opacity: 1;
  }
}

@keyframes button {
  100% {
    position: absolute;
    margin-bottom: 0.5rem;
    right: 0px;
    height: 53px;
    width: 63px;
    opacity: 1;
  }
}

#youtube-player {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    pointer-events: none; /* Prevent interaction with the player */
    z-index: -1;
}

#play-button {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 10px 20px;
    font-size: 20px;
    background-color: #000;
    color: #fff;
    border: none;
    cursor: pointer;
    z-index: 1000;
}
